<div class="container-view" *ngIf="userData">
    <div class="tools">
        <button mat-button routerLink="/users">
            <mat-icon>keyboard_backspace</mat-icon>
        </button>
    </div>
    <mat-card class="m-top-25">
        <h1 class="text-primary">{{ userData.firstName }} {{ userData.lastName }}</h1>
        <p><b>{{ 'EMAIL' | translate }}: </b>
            {{ userData.email }}</p>
        <p><b>{{ 'DOCUMENT_ID' | translate }}: </b>
            {{ userData.documentId }}</p>
        <div class="end-align">
            <small>{{ 'LAST_LOAN' | translate }}</small>
            <mat-chip-list>
                <mat-chip *ngIf="userData.lastCreditApproved" color="accent" selected>{{ 'APPROVED' | translate }}
                </mat-chip>
                <mat-chip *ngIf="!userData.lastCreditApproved" color="warm" selected>{{ 'REFUSED' | translate }}
                </mat-chip>
            </mat-chip-list>
        </div>
    </mat-card>
    <div *ngIf="loans$ | async as loans">
        <div class="tools m-top-25">
            <h1>{{ 'LOANS' | translate }}</h1>
            <button (click)="applyNewLoan()" *ngIf="userData.lastCreditApproved && loans[loans.length-1].paymentStatus"
                mat-raised-button color="accent">
                {{ 'APPLY_FOR_LOAN' | translate }}
            </button>
        </div>
        <div class="container-table mat-elevation-z2 m-top-25">
            <table mat-table [dataSource]="loans$ | async" class="mat-elevation-z1" matSort>
                <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef>{{ 'NAME' | translate }}</th>
                    <td mat-cell *matCellDef="let element"> {{ userData.firstName }} {{ userData.lastName }}
                    </td>
                </ng-container>
                <ng-container matColumnDef="value">
                    <th mat-header-cell *matHeaderCellDef>{{ 'AMOUNT' | translate }}</th>
                    <td mat-cell *matCellDef="let element"> {{ element.loanValue | currency }} </td>
                </ng-container>
                <ng-container matColumnDef="status">
                    <th mat-header-cell *matHeaderCellDef>{{ 'CREDIT_STATUS' | translate }}</th>
                    <td mat-cell *matCellDef="let element">
                        <mat-chip-list>
                            <mat-chip *ngIf="element.creditStatus" color="accent" selected>{{ 'APPROVED' | translate
                                }}
                            </mat-chip>
                            <mat-chip *ngIf="!element.creditStatus" color="warm" selected>{{ 'REFUSED' | translate }}
                            </mat-chip>
                        </mat-chip-list>
                    </td>
                </ng-container>
                <ng-container matColumnDef="actions">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let i=index">
                        <mat-chip-list>
                            <mat-chip *ngIf="!element.creditStatus" color="accent" disabled>
                                <mat-icon>close</mat-icon>{{ 'LOAN_REFUSED' | translate }}
                            </mat-chip>
                        </mat-chip-list>
                        <button *ngIf="element.creditStatus && !element.paymentStatus" (click)="payLoan(element)"
                            mat-raised-button color="accent">
                            {{ 'PAY_LOAN' | translate }}
                        </button>
                        <mat-chip-list>
                            <mat-chip *ngIf="element.creditStatus && element.paymentStatus" color="accent" selected>
                                <mat-icon>done</mat-icon>{{ 'PAID' | translate }}
                            </mat-chip>
                        </mat-chip-list>
                    </td>
                </ng-container>
                <ng-container matColumnDef="options">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element">
                        <button mat-icon-button [routerLink]="['/users', element.id]">
                            <mat-icon>visibility</mat-icon>
                        </button>
                    </td>
                </ng-container>
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
        </div>
    </div>
</div>